<?
	/** Plik wyciagajacy z bazy informacje o cyklach i wyświetlający je.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	if (!$sess->isLoged("Asys")) {
		$xpage="";
		return;
	}

	/** Pobranie danych z $_GET (bo tylko tak do tego pliku mogą się dostać).
	 * Stworzenie linku do samego siebie.
	*/
	include './functions/Acheck.fun.php';
	$What = $_GET['What'];
	$Left = $_GET['Left'];
	zrob_treelink_cykle ("Asys_cykle", "Asys_cykle", 'What', $What, 'Left', 'x');

	include './functions/Adb.fun.php';

	/** Jeśli trzeba to odświerzenie lewego menu.
	*/
	if ($Left == 'x') {
		$yes = 'true';
		include "Aleft_menu.inc.php";
	}

	/** W zależności od $What różne czynności są wykonywane w pliku.
	*/
	readCycle('Acykle_A',$sess->get("id"),'A');
	if (!isset($What)){
		return;
	}
	readCycle('Acykle_N',$sess->get("id"),'N');
	if ($What == 'N') {
		return;
	}
	readCycle('Acykle_B',$sess->get("id"),'B');
//	readCycle('Acykle_R',$sess->get("id"),'X','true','true');
?>
